#include <iostream>
#include <bits/stdc++.h> 
#include <queue>



using namespace std;

int main()
{
    long long int n,m,i,s=0;
    cin>>n>>m;
    if(n==1){
        s=m;
    }
    else if(m==1){
        s=n;
    }
    else{
        s=s+2*(n+m)-4;
        n=n-2;
        m=m-2;
        while(n>0 && m>0){
            if(n==1){
                s=s+m/2;
            }
            else if(m==1){
                s=s+n/2;
            }
            else{
                s=s+n+m-2;
            }
            n=n-2;
            m=m-2;
        }
    }
    cout<<s;
}